curl --request GET \
--url https://api.lapyme.com.ar/api/v2/purchases/{purchaseId} \
--header 'Authorization: Bearer <token>'{
"requestId": "<string>",
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voucherType": "<string>",
"importDocumentRole": "commercial_invoice",
"importSourcePurchaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"importNationalizationStatus": "pending_nationalization",
"despachoNumber": "<string>",
"supplierInvoiceNumber": "<string>",
"invoiceDate": "<string>",
"accountDate": "<string>",
"dueDate": "<string>",
"paymentTermId": "days_7",
"percepIVA": 4503599627370495,
"nacionales": 4503599627370495,
"iibb": 4503599627370495,
"iibbBreakdown": [
{
"provinceId": 0,
"amount": 4503599627370495
}
],
"municipales": 4503599627370495,
"internos": 4503599627370495,
"otros": 4503599627370495,
"subtotal": 4503599627370495,
"taxAmount": 4503599627370495,
"exemptAmount": 4503599627370495,
"total": 4503599627370495,
"balance": 0,
"discount": 4503599627370495,
"ivaBreakdown": [
{
"taxRateId": 4503599627370495,
"baseAmount": 4503599627370495,
"taxAmount": 4503599627370495
}
],
"notes": "<string>",
"rubroIva": "bienes",
"currency": "<string>",
"exchangeRate": "<string>",
"pdfPath": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"taxId": "<string>",
"taxIdType": "<string>",
"taxCategory": "<string>",
"address": "<string>",
"city": "<string>",
"provinceId": "<string>",
"postalCode": "<string>",
"paymentTermId": "<string>"
},
"warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": 1,
"unitCost": 4503599627370495,
"subtotal": 4503599627370495,
"taxRateId": 4503599627370495,
"isExempt": true,
"total": 4503599627370495,
"discountPercentage": 123,
"purchaseOrderItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rubroIva": "bienes",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"name": "<string>",
"productType": "product"
},
"purchaseOrder": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formattedOrderNumber": "<string>"
}
}
]
}
}Devuelve el detalle de una compra creada o listada a través del slice machine-first v2.
curl --request GET \
--url https://api.lapyme.com.ar/api/v2/purchases/{purchaseId} \
--header 'Authorization: Bearer <token>'{
"requestId": "<string>",
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voucherType": "<string>",
"importDocumentRole": "commercial_invoice",
"importSourcePurchaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"importNationalizationStatus": "pending_nationalization",
"despachoNumber": "<string>",
"supplierInvoiceNumber": "<string>",
"invoiceDate": "<string>",
"accountDate": "<string>",
"dueDate": "<string>",
"paymentTermId": "days_7",
"percepIVA": 4503599627370495,
"nacionales": 4503599627370495,
"iibb": 4503599627370495,
"iibbBreakdown": [
{
"provinceId": 0,
"amount": 4503599627370495
}
],
"municipales": 4503599627370495,
"internos": 4503599627370495,
"otros": 4503599627370495,
"subtotal": 4503599627370495,
"taxAmount": 4503599627370495,
"exemptAmount": 4503599627370495,
"total": 4503599627370495,
"balance": 0,
"discount": 4503599627370495,
"ivaBreakdown": [
{
"taxRateId": 4503599627370495,
"baseAmount": 4503599627370495,
"taxAmount": 4503599627370495
}
],
"notes": "<string>",
"rubroIva": "bienes",
"currency": "<string>",
"exchangeRate": "<string>",
"pdfPath": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"taxId": "<string>",
"taxIdType": "<string>",
"taxCategory": "<string>",
"address": "<string>",
"city": "<string>",
"provinceId": "<string>",
"postalCode": "<string>",
"paymentTermId": "<string>"
},
"warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": 1,
"unitCost": 4503599627370495,
"subtotal": 4503599627370495,
"taxRateId": 4503599627370495,
"isExempt": true,
"total": 4503599627370495,
"discountPercentage": 123,
"purchaseOrderItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rubroIva": "bienes",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"name": "<string>",
"productType": "product"
},
"purchaseOrder": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formattedOrderNumber": "<string>"
}
}
]
}
}Incluí tu API key en el header Authorization con el prefijo Bearer
ID de la compra
Was this page helpful?